{"swagger":"2.0","info":{"title":"500762 HDMI Digital Signage Media Player Api Documentation","version":"1.0.0"},"host":"device_ip:8888","basePath":"/","schemes":["http"],"paths":{"/auth/signin":{"post":{"tags":["Login"],"summary":"User login","description":"basic authentication by token, 1 hour idle token expiration.","operationId":"signin","produces":["application/json"],"parameters":[{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/UserLogin"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"token":{"type":"string","example":"963c6f33e8d7643eb5301c6c630effce"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/auth/change-password":{"post":{"tags":["Login"],"summary":"Change user password","description":"Change user password","operationId":"change-password","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["password_old","password"],"properties":{"password_old":{"type":"string","example":"admin2"},"password":{"type":"string","example":"admin"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"token":{"type":"string","example":"963c6f33e8d7643eb5301c6c630effce"}}}}}}},"201":{"description":"validation failed - OBS: the code response is 200 but swagger does not allow multiple response schemas for the same code","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"type":"array","items":{"properties":{"password_old":{"type":"string","example":"Old password does not match"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/auth/signout":{"post":{"tags":["Login"],"summary":"User logout","description":"User logout.","operationId":"sighout","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/calendar":{"get":{"tags":["Calendar"],"summary":"Return device schedule calendar","description":"Return device schedule calendar. Date format YYYY-MM-DD","operationId":"calendar_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Schedule1"},"dates":{"items":{"description":"date format YYYY-MM-DD","example":"2019-09-01, 2019-09-08"}}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Calendar"],"summary":"Load device schedule calendar","description":"Load device schedule calendar. Date format YYYY-MM-DD","operationId":"calendar_load","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"items":{"properties":{"name":{"type":"string","example":"Schedule1"},"dates":{"items":{"description":"date format YYYY-MM-DD","example":"2019-09-01, 2019-09-08"}}}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/message-content-resource":{"post":{"tags":["Device"],"summary":"Set the template engine content resource.","description":"The content resource is a key value a data structure used in combination with the osd message text in a template engine to produce the output message","operationId":"message-content-resource","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"properties":{"key1":{"type":"string","example":"value1"},"key2":{"type":"string","example":"value2"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/info":{"get":{"tags":["Device"],"summary":"Get unit summary infomation","description":"Get unit summary infomation.","operationId":"device_info_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"mediaPlayerStatus":{"type":"string","example":"running/failed"},"ipAddress":{"type":"string","example":"192.168.168.205"},"macAddress":{"type":"string","example":"00:0B:78:05:9A:6A"},"dateTime":{"type":"string","example":"2019-05-22 14:31:22"},"firmwareVersion":{"type":"string","example":"1.0.1"},"scheduleSet":{"type":"string","example":"schedule1"},"scheduleStatus":{"type":"string","example":"ON/OFF"},"mediaPlaying":{"type":"array","items":{"properties":{"window":{"type":"integer","example":0},"media":{"type":"string","example":"/media/sd/500762 FINAL.mp4"}}}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/cec-info":{"get":{"tags":["Device"],"summary":"Get connected device cec information","description":"Get connected device cec information.","operationId":"device_cec_info_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"cecInfo"},"objects":{"type":"array","items":{"properties":{"Manufacture":{"type":"string","example":"SAM"},"NativeFormat":{"type":"string","example":"1080P_60"},"Formats":{"type":"array","items":{"type":"string","example":"1080P_60, 1080P_50, ..."}},"ColorSpaces":{"type":"array","items":{"properties":{"RGB444":{"type":"boolean","example":"true"},"YCBCR422":{"type":"boolean","example":"true"},"YCBCR444":{"type":"boolean","example":"true"},"YCBCR420":{"type":"boolean","example":"true"}}}},"ColorDepthes":{"type":"array","items":{"properties":{"8":{"type":"boolean","example":"true"},"10":{"type":"boolean","example":"true"},"12":{"type":"boolean","example":"true"},"16":{"type":"boolean","example":"true"}}}},"Current":{"type":"array","items":{"properties":{"Format":{"type":"string","example":"1080P_60"},"ColorSpace":{"type":"string","example":"RGB444"},"ColorDepth":{"type":"string","example":"24Bit"}}}}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/network":{"get":{"tags":["Device"],"summary":"Get network infomation","description":"Get network infomation.","operationId":"device_network_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"mac":{"type":"string","example":"00:0B:78:00:7A:EC"},"ip":{"type":"string","example":"192.168.168.205"},"mask":{"type":"string","example":"255.255.255.0"},"getway":{"type":"string","example":"192.168.168.1"},"isDhcp":{"type":"string","example":"0"},"dns1":{"type":"string","example":"8.8.8.8"},"dns2":{"type":"string","example":"4.2.2.1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["Device"],"summary":"Set network infomation","description":"Set network infomation.","operationId":"device_network_Set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["mac","ip","mask","getway","isDhcp","dns1","dns2"],"properties":{"mac":{"type":"string","example":"00:0B:78:00:7A:EC"},"ip":{"type":"string","example":"192.168.168.205"},"mask":{"type":"string","example":"255.255.255.0"},"getway":{"type":"string","example":"192.168.168.1"},"isDhcp":{"type":"string","example":"0"},"dns1":{"type":"string","example":"8.8.8.8"},"dns2":{"type":"string","example":"4.2.2.1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"mac":{"type":"string","example":"00:0B:78:00:7A:EC"},"ip":{"type":"string","example":"192.168.168.205"},"mask":{"type":"string","example":"255.255.255.0"},"getway":{"type":"string","example":"192.168.168.1"},"isDhcp":{"type":"string","example":"0"},"dns1":{"type":"string","example":"8.8.8.8"},"dns2":{"type":"string","example":"4.2.2.1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/security-check":{"get":{"tags":["Device"],"summary":"Get security status infomation","description":"Get security status infomation.","operationId":"device_security_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"security_status":{"description":"values: PASS, FAILED","type":"string","example":"PASS"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/notAuthParam":{"get":{"tags":["Device"],"summary":"Get some device information without authentication","description":"Get some device information without authentication.","operationId":"device_notAuthParam","produces":["application/json"],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"verInfo"},"objects":{"type":"array","items":{"properties":{"name":{"type":"string","example":"mediaMain"},"version":{"type":"string","example":"01.0.01-01, Jan  5 2018 14:51:12"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/reset":{"post":{"tags":["Device"],"summary":"Reset device","description":"Reset device.","operationId":"device_reset","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/reboot":{"post":{"tags":["Device"],"summary":"Reboot device","description":"Reboot device.","operationId":"device_reboot","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/check-flashMemory/{option}":{"put":{"tags":["Device"],"summary":"Check if USB flash drive or SD card was correctly mounted.","description":"Check if USB flash drive(option=USB) or SD card (option=SD)was correctly mounted: 0 check succeeded, -1 check failed","operationId":"device_checkFlash","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"option","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"check_usb":{"description":"0 check succeeded, -1 check failed","type":"string","example":"0"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/cec":{"put":{"tags":["Device"],"summary":"CEC control commmands","description":"CEC control commmands (cecStandby, cecImageOn, cecVolumeUp, cecVolumeDown, cecMute).","operationId":"device_cec","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["command"],"properties":{"command":{"description":"cecStandby, cecImageOn, cecVolumeUp, cecVolumeDown, cecMute","type":"string","example":"cecStandby"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"command":{"type":"string","example":"cecStandby"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/blink":{"put":{"tags":["Device"],"summary":"Blink on/off","description":"Blink on/off.","operationId":"device_blink","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["blink"],"properties":{"blink":{"description":"true or false","type":"string","example":"true"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"blink":{"type":"string","example":"OK"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/upgrade":{"put":{"tags":["Device"],"summary":"Upgrade device","description":"Upgrade device.","operationId":"device_upgrade","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"fileToUpload","in":"formData","required":true,"type":"file"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"items":{}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"fileTOUpload":{"type":"string","example":"Firmware is not compatible!"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/date":{"get":{"tags":["Device"],"summary":"Get device date time","description":"Get device date time.","operationId":"device_date","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"year":{"type":"string","example":"2018"},"month":{"type":"string","example":"1"},"day":{"type":"string","example":"5"},"hour":{"type":"string","example":"15"},"minute":{"type":"string","example":"15"},"seconde":{"type":"string","example":"15"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Device"],"summary":"Set device date time","description":"Set device date time.","operationId":"device_date_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["year","month","day","hour","minute"],"properties":{"year":{"type":"integer","example":"2018"},"month":{"description":"1-12","type":"integer","example":"1"},"day":{"description":"1-31","type":"integer","example":"5"},"hour":{"description":"0-23","type":"integer","example":"12"},"minute":{"description":"0-59","type":"integer","example":"12"},"second":{"description":"0-59","type":"integer","example":"12"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"year":{"type":"string","example":"2018"},"month":{"type":"string","example":"1"},"day":{"type":"string","example":"5"},"hour":{"type":"string","example":"12"},"minute":{"type":"string","example":"12"},"seconde":{"type":"string","example":"00"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/timezone":{"get":{"tags":["Device"],"summary":"Get device timezone.","description":"Get device timezone (Default America/New York).","operationId":"device_timezone_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"location":{"type":"string","example":"America/New York"},"tz_string":{"type":"string","example":"EST5EDT,M3.2.0,M11.1.0"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Device"],"summary":"Set device timezone.","description":"Set device timezone.","operationId":"device_timezone_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["location","tz_string"],"properties":{"location":{"type":"string","example":"America/New York"},"tz_string":{"type":"string","example":"EST5EDT,M3.2.0,M11.1.0"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"location":{"type":"string","example":"America/New York"},"tz_string":{"type":"string","example":"EST5EDT,M3.2.0,M11.1.0"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/timezone/list":{"get":{"tags":["Device"],"summary":"List the timezone accepted by the device.","description":"List the timezone accepted by the device. (https://wiki.openwrt.org/doc/uci/system#time_zones).","operationId":"device_timezone_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"location":{"type":"string","example":"America/New York"},"tz_string":{"type":"string","example":"EST5EDT,M3.2.0,M11.1.0"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/ntp":{"get":{"tags":["Device"],"summary":"Get network time protocol server set.","description":"Get network time protocol server set.","operationId":"device_ntp_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"server":{"type":"string","example":"ca.pool.ntp.org"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Device"],"summary":"Set network time protocol server.","description":"Set network time protocol server. Can be a ip address or server name ex: ca.pool.ntp.org","operationId":"device_ntp_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["server"],"properties":{"server":{"description":"Can be a ip address or server name","type":"string","example":"ca.pool.ntp.org"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"server":{"type":"string","example":"ca.pool.ntp.org"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/resolution":{"get":{"tags":["Device"],"summary":"Get device resolution - DEPRECATED - Use get /device/cec-info","description":"Get device resolution (Default Auto).","operationId":"device_resolution_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"resolution":{"type":"string","example":"1080P_60"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}},"deprecated":true},"put":{"tags":["Device"],"summary":"Set device resolution.","description":"Set device resolution.","operationId":"device_resolution_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["resolution"],"properties":{"resolution":{"type":"string","example":"1080P_60"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"resolution":{"type":"string","example":"1080P_60"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/output-resolution-mode":{"get":{"tags":["Device"],"summary":"Get output device resolution mode.","description":"Get output device resolution mode.","operationId":"device_output_resolution_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"mode":{"type":"string","example":"AUTO"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Device"],"summary":"Set output device resolution mode.","description":"Set output device resolution mode.","operationId":"device_output_resolution_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["mode"],"properties":{"mode":{"type":"string","example":"AUTO"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"mode":{"type":"string","example":"AUTO"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/resolution/list":{"get":{"tags":["Device"],"summary":"List the resolution accepted by the device - DEPRECATED - Use get /device/cec-info","description":"List the resolution accepted by the device.","operationId":"device_resolution_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"AUTO, 1080P_60, 1080P_50, ..."}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}},"deprecated":true}},"/device/hdmi-output-settings":{"put":{"tags":["Device"],"summary":"Set device hdmi output.","description":"Set device hdmi output. It includes resolution, color space, color depth.","operationId":"device_hdmi_output","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["color_depth, color_depth, resolution"],"properties":{"resolution":{"type":"string","example":"1080P_60"},"color_depth":{"type":"string","example":"8"},"color_space":{"type":"string","example":"RGB444"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/color":{"get":{"tags":["Device"],"summary":"Get device color depth - DEPRECATED - Use get /device/cec-info","description":"Get device color depth (Default Auto).","operationId":"device_color_get","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"color_depth":{"type":"string","example":"AUTO"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}},"deprecated":true},"put":{"tags":["Device"],"summary":"Set device color depth and space.","description":"Set device color depth (The number of bits used for each color component of a single pixel) and color space.","operationId":"device_color_set","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["color_depth"],"properties":{"color_depth":{"type":"string","example":"8"},"color_space":{"type":"string","example":"RGB444"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/color/list":{"get":{"tags":["Device"],"summary":"DEPRECATED - Use get /device/cec-info","description":"List the color depth accepted by the device.","operationId":"device_color_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"description":"values: AUTO, 12, 10, 8","type":"string","example":"AUTO, 12, 10, 8"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}},"deprecated":true}},"/device/usage":{"get":{"tags":["Device"],"summary":"Get device usage","description":"Get device usage.","operationId":"device_usage","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"RAM":{"properties":{"usage":{"description":"in KB","type":"integer","example":"691376"},"total":{"description":"in KB","type":"string","example":"1748908"}}},"SD":{"properties":{"usage":{"description":"in KB","type":"integer","example":"0"},"total":{"description":"in KB","type":"string","example":"0"}}},"USD":{"properties":{"usage":{"description":"in KB","type":"integer","example":"6913"},"total":{"description":"in KB","type":"string","example":"17489"}}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/open-ftp":{"put":{"tags":["Device"],"summary":"Open device ftp","description":"Open device ftp.","operationId":"device_openftp","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/check-ftp-open":{"put":{"tags":["Device"],"summary":"Check if device ftp is opened","description":"Check if device ftp is opened.","operationId":"device_checkFtpOpen","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"open":{"description":"1 - open; 0 - closed","type":"integer","example":"1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/close-ftp":{"put":{"tags":["Device"],"summary":"Close device ftp","description":"Close device ftp.","operationId":"device_closeftp","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/sd-recover":{"put":{"tags":["Device"],"summary":"recover device SD card","description":"recover device SD card.","operationId":"device_sd_recover","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/device/sd-format":{"put":{"tags":["Device"],"summary":"format device SD card","description":"format device SD card.","operationId":"device_sd_format","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/move":{"put":{"tags":["File"],"summary":"Move or rename a local media file.","description":"Move or rename a local media file. Usb base path is /media/usb, sd card base path is /media/sd","operationId":"file_move","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["from","to"],"properties":{"from":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/usb/video.mv"},"to":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/sd"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"from":{"type":"string","example":"/media/usb/video.mv"},"to":{"type":"string","example":"/media/sd"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"from":{"type":"array","items":{"type":"string","example":"From must exists"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/copy":{"put":{"tags":["File"],"summary":"Copy a local media file.","description":"Copy a local media file. Usb base path is /media/usb, sd card base path is /media/sd","operationId":"file_copy","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["from","to"],"properties":{"from":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/usb/video.mv"},"to":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/sd"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"from":{"type":"string","example":"/media/usb/video.mv"},"to":{"type":"string","example":"/media/sd"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"from":{"type":"array","items":{"type":"string","example":"From must exists"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/info":{"get":{"tags":["File"],"summary":"Get information about a local media file.","description":"Get information about a local media file.","operationId":"file_info","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"query","description":"file path + name. example: /file/info?name=/media/usb/video.mv","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"name":{"type":"string","example":"/media/usb/video.mv"},"duration":{"type":"integer","example":5},"size":{"type":"integer","example":2496},"format":{"type":"string","example":"mov,mp4,m4a,3gp,3g2,mj2"},"hasVideo":{"type":"string","example":"YES"},"hasAudio":{"type":"string","example":"YES"},"md5":{"type":"string","example":"2d8c5181368a75b276549f271fadb8a1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/delete":{"put":{"tags":["File"],"summary":"Delete a local media file.","description":"Delete a local media file. Usb base path is /media/usb, sd card base path is /media/sd","operationId":"file_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["file"],"properties":{"file":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/usb/video.mv"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"file":{"type":"string","example":"/media/usb/video.mv"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"file":{"type":"array","items":{"type":"string","example":"file must exists"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/download-ftp-server":{"put":{"tags":["File"],"summary":"Download files from a ftp server to the usb flash drive.","description":"Download files from a ftp server to the usb flash drive.","operationId":"file_download-ftp-server","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["server","user","password","path","files"],"properties":{"server":{"type":"string","example":"192.168.168.107"},"user":{"type":"string","example":"root"},"password":{"type":"string","example":"root"},"path":{"description":"ftp root path","type":"string","example":"/ftp"},"files":{"type":"array","items":{"type":"string","example":"file1.txt"}}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"server":{"type":"string","example":"192.168.168.107"},"user":{"type":"string","example":"root"},"password":{"type":"string","example":"root"},"path":{"description":"ftp root path","type":"string","example":"/ftp"},"files":{"type":"array","items":{"type":"string","example":"file1.txt"}}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"file":{"type":"string","example":"failed when get data from remote file or save data as local file"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/download":{"put":{"tags":["File"],"summary":"Download file from the unit.","description":"Download files from unit.","operationId":"file_download","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["file"],"properties":{"file":{"type":"string","example":"/media/usb/text.txt"}}}}],"responses":{"200":{"description":"return binary file to download"},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"file":{"type":"string","example":"failed when get data from remote file or save data as local file"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/capture":{"get":{"tags":["File"],"summary":"Retrieve status about recorder.","description":"Retrieve status about recorder","operationId":"file_capture_status","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"filename":{"type":"string","example":"/media/usb/capture1.mkv"},"recordTime":{"description":"in seconds","type":"string","example":"48"},"recordStatus":{"type":"string","example":"STOPPED"},"size":{"description":"in KB","type":"string","example":"11"},"packets":{"type":"string","example":"11"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["File"],"summary":"Record video/audio from main window.","description":"Record video/audio from main window. A video file will be created in the usb flash drive. mkv format is mandatory so should not be included in the filename.","operationId":"file_capture_start","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["filename","duration"],"properties":{"filename":{"description":"mkv format is mandatory so should not be included in the filename.","type":"string","example":"capture1"},"duration":{"description":"in seconds","type":"string","example":"48"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"filename":{"description":"mkv format is mandatory so should not be included in the filename.","type":"string","example":"/media/usb/capture1.mkv"},"duration":{"description":"in seconds","type":"string","example":"48"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/capture/stop":{"put":{"tags":["File"],"summary":"Stop video/audio recording from main window.","description":"Stop video/audio recording from main window. Used for stopping the recoding before the record duration time (see Post /file/capture)","operationId":"file_capture_stop","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/upload/{option}":{"post":{"tags":["File"],"summary":"Upload a file to USB or SD card.","description":"Upload a file to USB or SD card. {option} must be USB or SD","operationId":"file_upload","consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"option","in":"path","required":true,"type":"string"},{"name":"fileToUpload","in":"formData","required":true,"type":"file"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"items":{}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"fileTOUpload":{"type":"string","example":"no file uploaded"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/list/{option}":{"put":{"tags":["File"],"summary":"list all files on USB flash drive or SD card","description":"list all files on USB flash drive or SD card. option: USB or SD.","operationId":"file_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"option","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"/media/ubs/test1, /media/usb/test2"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/file/check":{"put":{"tags":["File"],"summary":"Check if a local media file exists.","description":"Check if a local media file exists. Usb base path is /media/usb, sd card base path is /media/sd","operationId":"file_check","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["file"],"properties":{"file":{"description":"usb base path is /media/usb, sd card base path is /media/sd","type":"string","example":"/media/usb/video.mv"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"exist":{"description":"true, false","type":"boolean","example":"true"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/getmedia/action":{"put":{"tags":["GetMedia"],"summary":"list all media files on USB disk or/and SD card","description":"list all media files on USB disk or/and SD card.","operationId":"getmedia_action","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["action"],"properties":{"action":{"description":"files - only one action for the moment","type":"string","example":"files"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"files"},"objects":{"type":"array","items":{"properties":{"name":{"type":"string","example":"/media/usb/video.mp4"},"duration":{"description":"in seconds","type":"integer","example":"3"},"size":{"description":"in KB","type":"integer","example":"382"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/image-case":{"get":{"tags":["OSD Image-Case"],"summary":"List image-cases names saved","description":"List image-cases names saved.","operationId":"image-case_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"test1"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/image-case/{name}":{"get":{"tags":["OSD Image-Case"],"summary":"Read a image-case saved","description":"Read a image-case saved.","operationId":"image-case_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/ImageCase"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"string","example":"caseName does not exist"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["OSD Image-Case"],"summary":"Update a saved image-case","description":"Update a saved image-case.","operationId":"image-case_update","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/ImageCase"}},{"name":"name","in":"path","description":"old name","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/ImageCase"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"delete":{"tags":["OSD Image-Case"],"summary":"Delete a image-case saved","description":"Delete a image-case saved.","operationId":"image-case_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"file":{"type":"string","example":"file2"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"type":"string","example":"caseName does not exist"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/image-case/":{"post":{"tags":["OSD Image-Case"],"summary":"Save a image-case","description":"Save a image-case.","operationId":"image-case_save","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/ImageCase"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/ImageCase"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/command/learning":{"put":{"tags":["Ir"],"summary":"ir learning end point","description":"ir learning end point.","operationId":"ir_learning","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"feedbackdata":{"type":"string","example":""}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/command/sendData":{"put":{"tags":["Ir"],"summary":"ir control","description":"ir control.","operationId":"ir_sendData","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["hexdata","isFeedback","waitTime"],"properties":{"hexdata":{"type":"string","example":"A055B1FF"},"isFeedback":{"description":"1 or 0","type":"string","example":"0"},"waitTime":{"description":"in seconds","type":"string","example":"1000"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"feedbackdata":{"type":"string","example":""}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/command/sendByName":{"put":{"tags":["Ir"],"summary":"Run ir command by name","description":"Run ir command by name. User can save a command then run the command by name.","operationId":"ir_sendByName","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["name"],"properties":{"name":{"type":"string","example":"name1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"feedbackdata":{"type":"string","example":""}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/command/configuration":{"get":{"tags":["Ir"],"summary":"Get ir configuration","description":"Get ir configuration. IrFeedbackIp parameter was removed. It is used for passthrough but it is not required anymore","operationId":"ir_getConfiguration","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"IRState":{"description":"1 for sensor 2 for emitter","type":"integer","example":"1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Ir"],"summary":"Set ir configuration","description":"Set Ir configuration. IrFeedbackIp parameter was removed. It is used for passthrough but it is not required anymore.","operationId":"ir_setConfiguration","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["IRState"],"properties":{"IRState":{"description":"1 for sensor 2 for emitter","type":"integer","example":"1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"IRState":{"description":"1 for sensor 2 for emitter","type":"integer","example":"1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/command/list":{"get":{"tags":["Ir"],"summary":"Get a list of ir saved commands names.","description":"Get a list of ir saved commands names.","operationId":"ir_list_names","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"command1"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir/{name}":{"get":{"tags":["Ir"],"summary":"Get a ir saved command by name","description":"Get a ir saved command by name.","operationId":"ir_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Ir"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"string","example":"name does not exist"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Ir"],"summary":"Update a saved ir command.","description":"Update a saved ir command.","operationId":"ir_update","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Ir"}},{"name":"name","in":"path","description":"old name","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Ir"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"delete":{"tags":["Ir"],"summary":"Delete a saved command.","description":"Delete a saved command.","operationId":"ir_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"file":{"type":"string","example":"file2"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"type":"string","example":"command name does not exist"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/ir":{"get":{"tags":["Ir"],"summary":"Get a list of ir saved commands.","description":"Get a list of ir saved commands.","operationId":"ir_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"$ref":"#/definitions/Ir"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["Ir"],"summary":"Create a ir command.","description":"Create a ir command. (name is unique).","operationId":"ir_create","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Ir"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Ir"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/log/level/list":{"get":{"tags":["Log"],"summary":"Get device log level list","description":"Get device log level list.","operationId":"log_get_level_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"DEBUG, INFO, NOTICE, WARNING, ERROR, CRITICAL, ALERT, EMERGENCY"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/log/level":{"get":{"tags":["Log"],"summary":"Get device log level","description":"Get device log level. Default is ERROR","operationId":"log_get_level","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"level":{"type":"string","example":"DEBUG"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Log"],"summary":"Set device log level","description":"Set device log level. Default is ERROR","operationId":"log_set_level","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["level"],"properties":{"level":{"type":"string","example":"DEBUG"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"level":{"type":"string","example":"DEBUG"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/log":{"get":{"tags":["Log"],"summary":"Make a compressed log files available to download","description":"Make a compressed log files available to download. use address http://deviceIP/ + response.data.file to download the compressed file","operationId":"log_download","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"file":{"type":"string","example":"LogsArchive_20180222-150243.gz"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/message":{"put":{"tags":["OSD"],"summary":"Apply a text overlay","description":"Apply a text overlay.","operationId":"osd_message","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["message"],"properties":{"message":{"type":"string","example":"test"},"fontColor":{"description":"Hex rgb format","type":"string","example":"00FF00"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"alert"},"objects":{"type":"array","items":{"properties":{"message":{"type":"string","example":"test"},"fontColor":{"type":"string","example":"00FF00"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/toggle-enable":{"put":{"tags":["OSD"],"summary":"Toggle enable/disable osd","description":"Toggle enable/disable osd - text overlay (1) , image overlay (2)  and subtitle(0).","operationId":"osd_toggle","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdEnable"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"1"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/image":{"put":{"tags":["OSD"],"summary":"Apply image Overlay","description":"Apply image Overlay.","operationId":"osd_image","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["media"],"properties":{"media":{"description":"file types: jpeg, jpg, png, gif, bmp","type":"string","example":"/media/usb/nature.gif"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"logo"},"objects":{"type":"array","items":{"properties":{"media":{"type":"string","example":"/media/usb/nature.gif"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/transparency":{"put":{"tags":["OSD"],"summary":"Apply osd transparency","description":"Apply osd transparency (affect osd window and message words).","operationId":"osd_transparency","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd","transparency"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"2"},"transparency":{"description":"int (0-100 percent)","type":"integer","example":"50"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdTransparency"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"2"},"transparency":{"type":"integer","example":"127"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/background":{"put":{"tags":["OSD"],"summary":"Apply osd background color and transparency","description":"Apply osd background color and transparency (just for background window, it does not affect the message words).","operationId":"osd_background","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd","background","transparency"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"1"},"background":{"description":"Hex rgb format","type":"string","example":"7f7f7f"},"transparency":{"description":"int (0-100 percent)","type":"integer","example":"50"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdBackground"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"1"},"background":{"type":"string","example":"4286545791"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/font-color":{"put":{"tags":["OSD"],"summary":"Apply osd font-color.","description":"Apply osd font-color. Obs for text overlay font color use /osd/message api endpoint.","operationId":"osd_font","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd","fontColor"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"3"},"fontColor":{"description":"Int rgb format ex: 16777215","type":"string","example":"16777215"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdFontColor"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"3"},"fontColor":{"type":"string","example":"16777215"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/font-size":{"put":{"tags":["OSD"],"summary":"Apply osd font-size.","description":"Apply osd font-size.","operationId":"osd_font-size","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd","fontSize"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"1"},"fontSize":{"description":"positive integer","type":"integer","example":"48"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdFontSize"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"1"},"fontSize":{"type":"integer","example":"48"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/position":{"put":{"tags":["OSD"],"summary":"Apply osd position","description":"Apply osd position - text overlay (1) , image overlay (2)  and subtitle(0).","operationId":"osd_position","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["osd","left","top","width","height"],"properties":{"osd":{"description":"Obs 0-subtitle, 1-text overlay, 2-image overlay","type":"integer","example":"1"},"left":{"description":"int positive","type":"integer","example":"260"},"top":{"description":"int positive","type":"integer","example":"50"},"width":{"description":"int positive","type":"integer","example":"1440"},"height":{"description":"int positive","type":"integer","example":"220"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"osdPosition"},"objects":{"type":"array","items":{"properties":{"osd":{"type":"integer","example":"1"},"left":{"type":"integer","example":"260"},"top":{"type":"integer","example":"50"},"width":{"type":"integer","example":"1440"},"height":{"type":"integer","example":"220"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playlist":{"get":{"tags":["PlayList"],"summary":"Get a list of playlist","description":"Get a list of playlist.","operationId":"playlist_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"$ref":"#/definitions/Playlist"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["PlayList"],"summary":"Create a playlist","description":"Create a playlist. Files array parameter elements can be: Video files (*.mkv,*.mp4, *.m4v, *.mov, *.avi, *.ts, *.asf, *.flv, *.webm, *.wma, *.rm, *.rmvb), image  files (*.jpg, *.png, *.gif, *.bmp) and URL (streaming Video) OR Audio files (*.mp3, *.aac)","operationId":"playlist_create","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["name"],"properties":{"name":{"type":"string","example":"playlist1"},"description":{"type":"string","example":"first playlist"},"files":{"type":"array","items":{"properties":{"name":{"type":"string","example":"/media/usb/video.mp4"},"duration":{"description":"in seconds","type":"string","example":"290"}}}}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Playlist"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"array","items":{"type":"string","example":"playlist name exist"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playlist/list/names":{"get":{"tags":["PlayList"],"summary":"Get a list of playlist names","description":"Get a list of playlist names.","operationId":"playlist_names","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"file1"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playlist/{name}":{"get":{"tags":["PlayList"],"summary":"Get a playlist","description":"Get a playlist.","operationId":"playlist_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Playlist"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"array","items":{"type":"string","example":"playlist name does not exist"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["PlayList"],"summary":"Update a playlist","description":"Update a playlist. Files array parameter elements can be: Video files (*.mkv,*.mp4, *.m4v, *.mov, *.avi, *.ts, *.asf, *.flv, *.webm, *.wma, *.rm, *.rmvb), image  files (*.jpg, *.png, *.gif, *.bmp) and URL (streaming Video) OR Audio files (*.mp3, *.aac)","operationId":"playlist_update","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","description":"old playlist name","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["name"],"properties":{"name":{"type":"string","example":"playlist1"},"description":{"type":"string","example":"first playlist"},"files":{"type":"array","items":{"$ref":"#/definitions/Playlist"}}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Playlist"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"delete":{"tags":["PlayList"],"summary":"Delete a playlist","description":"Delete a playlist.","operationId":"playlist_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Playlist"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"array","items":{"type":"string","example":"playlist name does not exist"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playmedia/action":{"put":{"tags":["PlayMedia"],"summary":"Apply play media controller actions","description":"Apply play media controller actions (play, pause, resume, stop).","operationId":"playmedia_action","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["action","window"],"properties":{"action":{"description":"play, pause, resume, stop","type":"string","example":"play"},"window":{"description":"0-main, 1-pip1, 2-pip2, 3-pip3","type":"integer","example":"0"},"media":{"description":"saved playlist, video stream, local device video or image","type":"string","example":"/media/usb/video.mp4"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"play"},"objects":{"type":"array","items":{"properties":{"window":{"type":"integer","example":"0"},"media":{"type":"string","example":"/media/usb/video.mp4"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playmedia/play-full-screen":{"put":{"tags":["PlayMedia"],"summary":"Play a media in a full screen layout","description":"Play a media in a full screen layout.","operationId":"playmedia_play-media-full-media","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["media"],"properties":{"media":{"description":"saved playlist, video stream, local device video or image","type":"string","example":"/media/usb/video.mp4"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"comment":{"type":"string","example":""},"action":{"type":"string","example":"play"},"objects":{"type":"array","items":{"properties":{"window":{"type":"integer","example":"0"},"media":{"type":"string","example":"/media/usb/video.mp4"}}}},"status":{"type":"integer","example":"200"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/playmedia/layout":{"put":{"tags":["PlayMedia"],"summary":"Apply a predefined layout","description":"Apply a predefined layout (used in web-interface).","operationId":"playmedia_layout","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["layout"],"properties":{"layout":{"description":"layout1,layout2,layout3,layout4,layout5,layout6","type":"string","example":"playlist1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232/command/sendByName":{"put":{"tags":["Rs232"],"summary":"Run rs232 command by name.","description":"Run rs232 command by name. User can save a command then run the command by name.","operationId":"rs232_sendByName","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["name"],"properties":{"name":{"type":"string","example":"name1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/RemoteControl"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232/command/sendData":{"put":{"tags":["Rs232"],"summary":"rs232 control","description":"rs232 control.","operationId":"rs232_sendData","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["hexdata","isFeedback","waitTime"],"properties":{"hexdata":{"type":"string","example":"A055B1FF"},"isFeedback":{"description":"1 or 0","type":"string","example":"0"},"waitTime":{"description":"in seconds","type":"string","example":"1000"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"feedbackdata":{"type":"string","example":""}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232/command/configuration":{"get":{"tags":["Rs232"],"summary":"Get rs232 configuration","description":"Get rs232 configuration. RS232FeedbackIp parameter was removed. It is used for passthrough but it is not required anymore.","operationId":"rs232_getConfiguration","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"RS232Baudrate":{"type":"string","example":"9600"},"RS232Databits":{"type":"string","example":"8"},"RS232Parity":{"type":"string","example":"none"},"RS232Stopbits":{"type":"string","example":"1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Rs232"],"summary":"Set rs232 configuration","description":"Set rs232 configuration. RS232FeedbackIp parameter was removed. It is used for passthrough but it is not required anymore.","operationId":"rs232_setConfiguration","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"required":["RS232Baudrate","RS232Databits","RS232Parity","RS232Stopbits"],"properties":{"RS232Baudrate":{"description":"9600, 19200, 38400, 57600, 115200","type":"integer","example":"9600"},"RS232Databits":{"description":"5,6,7,8","type":"integer","example":"8"},"RS232Parity":{"description":"none, odd, even","type":"string","example":"none"},"RS232Stopbits":{"description":"1, 2","type":"integer","example":"1"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"RS232Baudrate":{"type":"string","example":"9600"},"RS232Databits":{"type":"string","example":"8"},"RS232Parity":{"type":"string","example":"none"},"RS232Stopbits":{"type":"string","example":"1"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232/command/list":{"get":{"tags":["Rs232"],"summary":"Get a list of rs232 saved commands names.","description":"Get a list of rs232 saved commands names.","operationId":"rs232_list_names","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"command1"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232/{name}":{"get":{"tags":["Rs232"],"summary":"Get a rs232 saved command by name","description":"Get a rs232 saved command by name.","operationId":"rs232_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/RemoteControl"}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"properties":{"name":{"type":"string","example":"rs232 does not exist"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Rs232"],"summary":"Update a saved rs232 command.","description":"Update a saved rs232 command.","operationId":"rs232_update","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/RemoteControl"}},{"name":"name","in":"path","description":"old name","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/RemoteControl"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"delete":{"tags":["Rs232"],"summary":"Delete a saved command.","description":"Delete a saved command.","operationId":"rs232_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"file":{"type":"string","example":"file2"}}}}}},"201":{"description":"validation failed - response code is 200 not 201, swagger limitation","schema":{"properties":{"status":{"type":"string","example":"failed"},"data":{"type":"string","example":"command name does not exist"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/rs232":{"get":{"tags":["Rs232"],"summary":"Get a list of rs232 saved commands.","description":"Get a list of rs232 saved commands.","operationId":"rs232_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"$ref":"#/definitions/RemoteControl"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["Rs232"],"summary":"Create a rs232 command.","description":"Create a rs232 command. (name is unique).","operationId":"rs232_create","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/RemoteControl"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/RemoteControl"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/enable":{"put":{"tags":["Schedule"],"summary":"Enable schedule script.","description":"Enable schedule script.","operationId":"schedule_enable","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/disable":{"put":{"tags":["Schedule"],"summary":"Disable schedule script.","description":"Disable schedule script. All playlists will stop, the screen will be black, no further playlists will be displayed until the user enabled the schedule again and the next frame starts. The device won't start display anything in the middle of a frame.","operationId":"schedule_disable","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/state":{"get":{"tags":["Schedule"],"summary":"Get schedule script state(On/Off).","description":"Get schedule script state(On/Off).","operationId":"schedule_state","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"state":{"description":"Values:ON/OFF","type":"string","example":"ON"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/load/{name}":{"post":{"tags":["Schedule"],"summary":"Load a project schedule into device. - DEPRECATED - Use post /schedule/load-to-calendar","description":"Load a project schedule. It can be a primary or secondary schedule. If it's a secondary schedule, the system that will switch the schedules (secondary to primary) Sunday night automatically","operationId":"schedule_load","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"name","in":"path","description":"options: primary or secondary","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Project"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}},"deprecated":true}},"/schedule":{"get":{"tags":["Schedule"],"summary":"List device's schedules","description":"List device's schedule names and checksum - sha1","operationId":"schedule_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Schedule1"},"checksum":{"type":"string","example":"aaf4c61ddcc5e8a2dabede0f3b482cd9aea9434d"}}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/cancel-switch":{"put":{"tags":["Schedule"],"summary":"Cancel schedules switch (secondary to primary) Sunday night","description":"Cancel schedules switch (secondary to primary) Sunday night","operationId":"schedule_cancel","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/info":{"get":{"tags":["Schedule"],"summary":"Get schedule primary/secondary information.","description":"Get schedule primary/secondary information.","operationId":"schedule_info","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"properties":{"primary project name":{"type":"string","example":"project1"},"secondary project name":{"type":"string","example":"project2"},"switch":{"description":"ON or OFF","type":"string","example":"ON"}}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/schedule/load-to-calendar":{"post":{"tags":["Schedule"],"summary":"Load a project schedule into device to used in the calendar section.","description":"Load a project schedule to used in the calendar section","operationId":"schedule_load_calendar","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Project"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/script":{"get":{"tags":["Script Entry"],"summary":"List script (schedule) entries ","description":"List script (schedule) entries.","operationId":"script_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"$ref":"#/definitions/Script"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"put":{"tags":["Script Entry"],"summary":"update a script entry","description":"Update a script entry.","operationId":"script_update","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"properties":{"oldValues":{"$ref":"#/definitions/Script"},"newValues":{"$ref":"#/definitions/Script"}}}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Script"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"post":{"tags":["Script Entry"],"summary":"Save a script entry","description":"Save a script entry.","operationId":"script_save","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Script"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"$ref":"#/definitions/Script"}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}},"delete":{"tags":["Script Entry"],"summary":"Delete a script(schedule) entry","description":"Delete a script(schedule) entry.","operationId":"script_delete","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"},{"name":"body","in":"body","required":true,"schema":{"$ref":"#/definitions/Script"}}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/text-case":{"get":{"tags":["OSD Text-Case"],"summary":"List text-cases names saved","description":"List text-cases names saved.","operationId":"text-case_list","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token retrieved from the login API","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"properties":{"status":{"type":"string","example":"success"},"data":{"type":"array","items":{"type":"string","example":"test1"}}}}},"401":{"description":"authentication failed","schema":{"$ref":"#/definitions/401_response"}}}}},"/osd/text-case/{name}":{"get":{"tags":["OSD Text-Case"],"summary":"Read a text-case saved","description":"Read a text-case saved.","operationId":"text-case_read","produces":["application/json"],"parameters":[{"name":"Authorization","in":"header","description":"Access token ret
[...]
